PB màj Ubuntu 6.10 en 8.04 sur Ibook G3

gyomg

Membre junior
20 Septembre 2006
27
0
salut

j'ai décidé d'installer Ubuntu sur un ibook G3 800 MHz

une première tentative avec une ISO de Ubuntu 8.04 pour PPC n'a pas aboutie...

donc selon les conseils du post :

http://forums.macg.co/unix-linux-and-open-source/aide-install-linux-sur-ppc-ibook-240819.html

- j'ai installé d'abord Ubuntu 6.10 pour PPC :
ça marche bien (en tout cas avec mon usage)

mais je souhaitais migrer vers la version 8.04...

pour faire la mise à jour, il faut récupérer un "sources.list" de la 7.04 (puis les versions suivantes) avant de pouvoir lancer la mise à jour proprement dites.... (enfin d'après ce que j'ai compris)

j'ai récupéré le premier sources.list, mais je n'ai pas les autorisations pour modifier le contenu du dossier /ETC/APT/ (en passant par l'interface Gnome)

je n'ai pas trouvé non plus de "console" sous Gnome/ubuntu pour effectuer les commandes indiquées
cp /etc/apt/sources.list /etc/apt/sources.list.back
sudo mv -f sources.list /etc/apt/sources.list

me voici donc coincé (sur ce plan là...)

La Console est où ?
Qu'en est-il des droits administrateur sous Ubuntu/Gnome (malgré ce qu'ils disent dans la doc) ?
Garder la version 6.10 est-ce une bonne idée ? (pour navigation internet, VNC, accès serveur SMB...)

Quoi fais-je ?

merci d'avance.
gyom
 

gyomg

Membre junior
20 Septembre 2006
27
0
sorry,

je viens de trouver le terminal
bon, mais faut que je teste les commandes...

A+

EDIT : mais je n'ai toujours pas la permission de renomer en .back ...
 

gyomg

Membre junior
20 Septembre 2006
27
0
bon, j'ai réussi à lancer le terminal en mode super utilisateur (root) donc plus de problème de droit.
Mais toujours impossible d'effectuer la mise à jour, malgré le changement de "sources.list"

comment effectuer cette migration sans passer par le gestionnaire de mise à jour ? (qui semble-t-il ne marche plus sur cette ancienne version)

EDIT :

je vais repartir d'une 6.06 qui est une LTS contrairement à la 6.10.
la 6.06 permet la mise à jour 7.04 puis 7.10 puis 8.04 (en théorie) ...

NB : je me cause à moi-même, faut que j'aille me faire soigner...